Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class EventDispatcher

    java.lang.Object
      org.objectstyle.cayenne.dataview.EventDispatcher

    public class EventDispatcher

extends java.lang.Object

Field Summary
`protected java.util.ArrayList` | `listeners`

Constructor Summary
`EventDispatcher()`

Method Summary
`static EventDispatcher` | `add(EventDispatcher dispatcher, java.util.EventListener listener)`
`void` | `add(java.util.EventListener listener)`
`void` | `clear()`
`void` | `dispatch(DispatchableEvent e)`
`int` | `find(java.util.EventListener listener)`
`int` | `getListenerCount()`
`boolean` | `hasListeners()`
`static EventDispatcher` | `remove(EventDispatcher dispatcher, java.util.EventListener listener)`
`void` | `remove(java.util.EventListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeners

    protected transient java.util.ArrayList listeners

Constructor Detail

### EventDispatcher

    public EventDispatcher()

Method Detail

### dispatch

    public void dispatch(DispatchableEvent e)

### hasListeners

    public boolean hasListeners()

### getListenerCount

    public int getListenerCount()

### find

    public int find(java.util.EventListener listener)

### add

    public void add(java.util.EventListener listener)

### remove

    public void remove(java.util.EventListener listener)

### clear

    public void clear()

### add

    public static EventDispatcher add(EventDispatcher dispatcher,
                                      java.util.EventListener listener)

### remove

    public static final EventDispatcher remove(EventDispatcher dispatcher,
                                               java.util.EventListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.